Description

On Internet Explorer, a filename downloded from repository is broken, because that filename is consist of multibyte characters. But,

that is absolutely normal on Chrome.

In addition, attached files in the Redmine "files" page have no problem.

I think that this code has no problem,

./controllers/attachments_controller.rb:

    send_file @attachment.diskfile, :filename => filename_for_content_disposition(@attachment.file

name),

 ... and this code has a problem.

./controllers/repositories_controller.rb:

    send_data @content, :filename => @path.split('/').last

 I test that modification like below, and it seems successful!

    send_data @content, :filename => filename_for_content_disposition(@path.split('/').last)

 In my opinion, some of other 

send_data

s can have similar problems.

Associated revisions

Revision 4816 - 2011-02-12 10:44 - Toshi MARUYAMA

scm: fix non ASCII filename downloaded from repo is broken on Internet Explorer (#7288).

History

#1 - 2011-01-11 11:54 - Toshi MARUYAMA

- Category set to SCM

What SCM do you use?

#2 - 2011-01-11 12:04 - Kesarr B

Toshi MARUYAMA wrote:

What SCM do you use?

 I use Subversion as SCM.

#3 - 2011-01-11 12:13 - Toshi MARUYAMA

Subversion stored paths as Unicode.

2025-05-17 1/2



Can you paste a path and attach a image?

#4 - 2011-01-11 12:34 - Kesarr B

- File redmine_repository_download_original.png added

- File redmine_repository_download_modified.png added

Toshi MARUYAMA wrote:

Subversion stored paths as Unicode.

Can you paste a path and attach a image?

 http://redmine.~~~.com/projects/~~~/repository/raw/doing/%EC%84%9C~~~%ED%99%98/20090825_%EB%B0%94%EB%A1%9C%EA%B0%80%E

A%B8%B0.ppt

#5 - 2011-01-11 12:38 - Toshi MARUYAMA

- Subject changed from Non-ISO-8859-1 filename downloaded from repo is broken on Internet Explorer. to Non ASCII filename downloaded from repo

is broken on Internet Explorer.

Thanks. Is it Korean named file?

#6 - 2011-01-12 07:08 - Kesarr B

Toshi MARUYAMA wrote:

Thanks. Is it Korean named file?

 Yes, it is. And both WRONG and RIGHT have the exactly same url.

#7 - 2011-01-12 08:09 - Toshi MARUYAMA

- Assignee set to Toshi MARUYAMA

#8 - 2011-02-12 10:31 - Toshi MARUYAMA

- Target version set to 1.1.2

- Affected version (unused) set to 1.1.1

- Affected version set to 1.1.1

#9 - 2011-02-12 13:16 - Toshi MARUYAMA

- File ie-before.png added

- File ie-after.png added

- Status changed from New to Closed

- Resolution set to Fixed

I commited trunk r4816 and 1.1 r4819.

These are images on my Japanese Windows Vista and IE 8.

"send_data" at source:trunk/app/controllers/repositories_controller.rb@4817#L164 is revision and it is ASCII.

Files

redmine_repository_download_original.png 48.6 KB 2011-01-11 Kesarr B

redmine_repository_download_modified.png 49.1 KB 2011-01-11 Kesarr B

ie-before.png 39.3 KB 2011-02-12 Toshi MARUYAMA

ie-after.png 36.5 KB 2011-02-12 Toshi MARUYAMA
